ONVIF::Device::Elements::SetRemoteDiscoveryMode(3)

NAME
ONVIF::Device::Elements::SetRemoteDiscoveryMode

DESCRIPTION
Perl data type class for the XML Schema defined element SetRemoteDiscoveryMode from the namespace http://www.onvif.org/ver10/device/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   RemoteDiscoveryMode

     $element->set_RemoteDiscoveryMode($data);
     $element->get_RemoteDiscoveryMode();

METHODS

  new
 my $element = ONVIF::Device::Elements::SetRemoteDiscoveryMode->new($data);

Constructor. The following data structure may be passed to new():

 {
   RemoteDiscoveryMode => $some_value, # DiscoveryMode
 },

AUTHOR
Generated by SOAP::WSDL